Bug 1335947 - Replication does not start when role is configured and enabled
Summary: Replication does not start when role is configured and enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.0
Assignee: Nick Carboni
QA Contact: Alex Newman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 15:17 UTC by Alex Newman
Modified: 2016-08-26 14:21 UTC (History)
5 users (show)

Fixed In Version: 5.6.0.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 16:02:26 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1348 0 normal SHIPPED_LIVE CFME 5.6.0 bug fixes and enhancement update 2016-06-29 18:50:04 UTC

Comment 3 Alex Newman 2016-05-13 15:30:06 UTC
Version

5.6.0.6-beta2.5.20160511140943_ff75fb2

Comment 4 Nick Carboni 2016-05-18 17:59:51 UTC
This seems to apply to all roles and is looking like some type of config caching issue.

Comment 6 Nick Carboni 2016-05-18 19:33:51 UTC
https://github.com/ManageIQ/manageiq/pull/8798

Comment 7 CFME Bot 2016-05-18 21:40:46 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/76e078347d6940a35fed87941726d81f42548493

commit 76e078347d6940a35fed87941726d81f42548493
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Wed May 18 15:23:02 2016 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Wed May 18 15:23:02 2016 -0400

    Sync the server config before assigning roles
    
    This change allows for newly added roles to get activated.
    Before, we would attempt to set the new roles before retrieving
    the updated config which would lead to us missing the role update.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1335947

 app/models/miq_server/worker_management/monitor.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 11 errata-xmlrpc 2016-06-29 16:02:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1348


Note You need to log in before you can comment on or make changes to this bug.